Bug 781458 - Review Request: libteam - Library for controlling team network device
Review Request: libteam - Library for controlling team network device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: 772284
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-13 09:01 EST by Jiri Pirko
Modified: 2015-05-04 21:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-23 15:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Pirko 2012-01-13 09:01:44 EST
Spec URL: http://people.redhat.com/jpirko/libteam/libteam.spec
SRPM URL: http://people.redhat.com/jpirko/libteam/libteam-0.1-1.20120113git302672e.fc16.src.rpm
Description:
This package contains a library which is a user-space
counterpart for team network driver. It provides an API
to control team network devices.
Comment 1 Dan Horák 2012-01-18 06:27:08 EST
formal review is here, see the notes explaining OK* and BAD statuses below:

BAD	source files match upstream:
BAD	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
BAD	BuildRequires are proper.
OK	compiler flags are appropriate.
BAD	package builds in mock (Rawhide/i386).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths with correct scriptlets
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in devel subpackage
OK	pkgconfig files in devel subpackage
OK	no libtool .la droppings.
OK	not a GUI app.

- sources are a git snapshot without an instruction how to obtain it (https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control)
- python subpackage should be named python-libteam (https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29)
- swig is missing in BRs
- shouldn't a default teamd config file be packaged under /etc, maybe as %ghost-ed file?
Comment 2 Jiri Pirko 2012-01-18 09:15:27 EST
Updated:

Spec URL: http://people.redhat.com/jpirko/libteam_v2/libteam.spec
SRPM URL: http://people.redhat.com/jpirko/libteam_v2/libteam-0.1-1.20120113git302672e.fc16.src.rpm

I hope I fixed that all. Except:
I do not want to put configs into /etc/. Their purpose is solely to act as examples. The plan is to put config json text directly into ifcfg scripts in future.

Thanks Dan!
Comment 3 Dan Horák 2012-01-19 04:20:23 EST
All issues are fixed, the package is APPROVED and I will also sponsor you in the packager group.
Comment 4 Jiri Pirko 2012-01-19 09:48:49 EST
New Package SCM Request
=======================
Package Name: libteam
Short Description: Library for controlling team network device
Owners: jirka
Branches: f16
InitialCC:
Comment 5 Jon Ciesla 2012-01-19 10:25:06 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.